
Redmine - Defect #3063

Anonymous user without permission.

2009-03-27 23:02 - Marcello Henrique

Status: Closed Start date: 2009-03-27

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.1

Rails version             2.2.2

Active Record version     2.2.2

Action Pack version       2.2.2

Active Resource version   2.2.2

Action Mailer version     2.2.2

Active Support version    2.2.2

Application root          /home/redmine/redmine

Environment               development

Database adapter          mysql

Database schema version   20090318181151

My redmine checkout trunk revision 2636.

I had removed all permission and roles anonymous, view attachments, my environment not authentication required, but anonymous

users may view my profile and issues...

Is it a bug?

History

#1 - 2009-03-28 11:13 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

No, it's not a defect. If you don't want anonymous users to view anything, just force authentication.

In 0.9, you'll be able to remove 'view issues' permissions from the anonymous role, but anonymous users will still be able to view users' accounts.

#2 - 2009-04-03 00:38 - Marcello Henrique

Jean-Philippe Lang wrote:

No, it's not a defect. If you don't want anonymous users to view anything, just force authentication.

In 0.9, you'll be able to remove 'view issues' permissions from the anonymous role, but anonymous users will still be able to view users'

accounts.

 It is possible by default all email accounts created using email hidden?
